Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\Type Class Reference

SPI Persistence Content\Type value object. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\Content\Type:

## Public Attributes
const | STATUS_DEFINED = 0
const | STATUS_DRAFT = 1
const | STATUS_MODIFIED = 2
| $id
| $status = self::STATUS_DRAFT
| $name
| $description = []
| $identifier
| $created
| $modified
| $creatorId
| $modifierId
| $remoteId
| $urlAliasSchema
| $nameSchema
| $isContainer
| $initialLanguageId
| $sortField = Location::SORT_FIELD_PUBLISHED
| $sortOrder = Location::SORT_ORDER_DESC
| $groupIds = []
| $fieldDefinitions = []
| $defaultAlwaysAvailable = false
| $languageCodes = []

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

SPI Persistence Content\Type value object.

Definition at line 14 of file SPI/Persistence/Content/Type.php.

## Member Data Documentation

## ◆ $created

eZ\Publish\SPI\Persistence\Content\Type::$created

Definition at line 75 of file SPI/Persistence/Content/Type.php.

## ◆ $creatorId

eZ\Publish\SPI\Persistence\Content\Type::$creatorId

Definition at line 89 of file SPI/Persistence/Content/Type.php.

## ◆ $defaultAlwaysAvailable

eZ\Publish\SPI\Persistence\Content\Type::$defaultAlwaysAvailable = false

Definition at line 182 of file SPI/Persistence/Content/Type.php.

## ◆ $description

eZ\Publish\SPI\Persistence\Content\Type::$description = []

Definition at line 61 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Mapper\extractStorageFieldFromRow().

## ◆ $fieldDefinitions

eZ\Publish\SPI\Persistence\Content\Type::$fieldDefinitions = []

Definition at line 172 of file SPI/Persistence/Content/Type.php.

## ◆ $groupIds

eZ\Publish\SPI\Persistence\Content\Type::$groupIds = []

Definition at line 165 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadGroupData(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadGroupData(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadGroups(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadGroups().

## ◆ $id

eZ\Publish\SPI\Persistence\Content\Type::$id

Definition at line 30 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\SPI\Persistence\Content\Type\CreateStruct\__clone(), eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\AddField\createField(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\getFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\getFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadFieldDefinition(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadFieldDefinition().

## ◆ $identifier

eZ\Publish\SPI\Persistence\Content\Type::$identifier

Definition at line 68 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadGroupByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadGroupByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadGroupDataByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadGroupDataByIdentifier(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadTypeDataByIdentifier().

## ◆ $initialLanguageId

eZ\Publish\SPI\Persistence\Content\Type::$initialLanguageId

Definition at line 140 of file SPI/Persistence/Content/Type.php.

## ◆ $isContainer

eZ\Publish\SPI\Persistence\Content\Type::$isContainer

Definition at line 133 of file SPI/Persistence/Content/Type.php.

## ◆ $languageCodes

eZ\Publish\SPI\Persistence\Content\Type::$languageCodes = []

Definition at line 189 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Mapper\extractStorageFieldFromRow().

## ◆ $modified

eZ\Publish\SPI\Persistence\Content\Type::$modified

Definition at line 82 of file SPI/Persistence/Content/Type.php.

## ◆ $modifierId

eZ\Publish\SPI\Persistence\Content\Type::$modifierId

Definition at line 96 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\createDraft(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\createDraft().

## ◆ $name

eZ\Publish\SPI\Persistence\Content\Type::$name

Definition at line 49 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Mapper\extractStorageFieldFromRow(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertTypeNameData().

## ◆ $nameSchema

eZ\Publish\SPI\Persistence\Content\Type::$nameSchema

Definition at line 126 of file SPI/Persistence/Content/Type.php.

## ◆ $remoteId

eZ\Publish\SPI\Persistence\Content\Type::$remoteId

Definition at line 103 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadByRemoteId(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadByRemoteId(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadTypeDataByRemoteId().

## ◆ $sortField

eZ\Publish\SPI\Persistence\Content\Type::$sortField = Location::SORT_FIELD_PUBLISHED

Definition at line 149 of file SPI/Persistence/Content/Type.php.

## ◆ $sortOrder

eZ\Publish\SPI\Persistence\Content\Type::$sortOrder = Location::SORT_ORDER_DESC

Definition at line 158 of file SPI/Persistence/Content/Type.php.

## ◆ $status

eZ\Publish\SPI\Persistence\Content\Type::$status = self::STATUS_DRAFT

Definition at line 37 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\addFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\addFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\copy(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\copy(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\countGroupsForType(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\countGroupsForType(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\delete(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\delete(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\delete(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\deleteByUserAndStatus(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteByUserAndStatus(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\deleteFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\deleteFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\deleteFieldDefinitionsForType(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\deleteGroupAssignment(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\deleteGroupAssignment(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\deleteGroupAssignmentsForType(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\deleteType(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\getFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\getFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\insertFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertGroupAssignment(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\insertGroupAssignment(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\link(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\link(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\load(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\load(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadContentTypes(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadContentTypes(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadFromRows(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadTypeData(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadTypeDataByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadTypeDataByRemoteId(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadTypesDataForGroup(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\loadTypesDataForGroup(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\removeFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\removeFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\unlink(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\unlink(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\update(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\update(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\updateFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\updateFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\updateFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\updateFieldDefinition(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion\updateType().

## ◆ $urlAliasSchema

eZ\Publish\SPI\Persistence\Content\Type::$urlAliasSchema

Definition at line 114 of file SPI/Persistence/Content/Type.php.

## ◆ STATUS_DEFINED

const eZ\Publish\SPI\Persistence\Content\Type::STATUS_DEFINED = 0

Definition at line 17 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\addFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\createDraft(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\delete(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\delete(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\deleteByUserAndStatus(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache(), eZ\Publish\Core\Search\Legacy\Content\Mapper\FullTextMapper\getFullTextValues(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\init(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\link(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\link(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\load(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\loadByRemoteId(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadContentTypeList(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadContentTypes(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadContentTypes(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\publish(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\removeFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\unlink(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\unlink(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\update(), and eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\updateFieldDefinition().

## ◆ STATUS_DRAFT

const eZ\Publish\SPI\Persistence\Content\Type::STATUS_DRAFT = 1

Definition at line 20 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\createDraft(), eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\publish(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Handler\removeContentTypeTranslation().

## ◆ STATUS_MODIFIED

const eZ\Publish\SPI\Persistence\Content\Type::STATUS_MODIFIED = 2

Definition at line 23 of file SPI/Persistence/Content/Type.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler\DeferredLegacy\publishNewType().

The documentation for this class was generated from the following file:

- SPI/Persistence/Content/Type.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.